﻿

using System;
using Wisej.Web;

namespace TreeViewCombobox
{
	public partial class Page1 : Page
	{
        TreeView userTreeView;
        string NodeSelected;
        bool ValueSelected;


        public Page1()
		{
			InitializeComponent();
		}

        private void treeViewComboBox1_Click(object sender, EventArgs e)
        {
           // AlertBox.Show("TreeView clicked");
        }

        private void treeViewComboBox1_SelectedValueChanged(object sender, EventArgs e)
        {
            TreeViewComboBox auxTreeViewCombo = (TreeViewComboBox)sender;

            NodeSelected = auxTreeViewCombo.SelectedItem.Text;
            ValueSelected = auxTreeViewCombo.SelectedItem.Checked;

           AlertBox.Show("Node SelectedValueChanged = " + NodeSelected + " and Value is " + ValueSelected.ToString());
        }

        private void treeViewComboBox1_WidgetEvent(object sender, WidgetEventArgs e)
        {
            AlertBox.Show("Node clicked = ");
        }

        private void Page1_Load(object sender, EventArgs e)
        {
            userTreeView = treeViewComboBox1.TreeView;

            userTreeView.CheckBoxes = true;

            userTreeView.AfterSelect += new Wisej.Web.TreeViewEventHandler(this.userTreeView_AfterSelect);

            userTreeView.AfterCheck += new Wisej.Web.TreeViewEventHandler(this.userTreeView_AfterCheck);
        }

        private void userTreeView_AfterSelect(object sender, TreeViewEventArgs e)
        {
            if (userTreeView.SelectedNode != null)
            {
                NodeSelected = userTreeView.SelectedNode.Text;
                ValueSelected = userTreeView.SelectedNode.Checked;

                AlertBox.Show("Node AfterSelected = " + NodeSelected + " Value = " + ValueSelected.ToString());
            }

        }

        private void userTreeView_AfterCheck(object sender, TreeViewEventArgs e)
        {
            if (e.Node != null)
            {
                //NodeSelected = userTreeView.SelectedNode.Text;
                //ValueSelected = userTreeView.SelectedNode.Checked;

                NodeSelected = e.Node.Name;
                ValueSelected = e.Node.Checked;


                AlertBox.Show("Node AfterCheck = " + NodeSelected + " Value = " + ValueSelected.ToString());
            }
        }

    }
}
